The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / haveged / S21haveged
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/haveged/S21haveged b/cirros-testvm/src-cirros/buildroot-2015.05/package/haveged/S21haveged
new file mode 100755 (executable)
index 0000000..1918b27
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+[ -x /usr/sbin/haveged ] || exit 0
+
+case "$1" in
+       start)
+               echo -n "Starting haveged: "
+               start-stop-daemon -S -x /usr/sbin/haveged -- -w 1024 -r 0
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       stop)
+               echo -n "Stopping haveged: "
+               start-stop-daemon -K -x /usr/sbin/haveged
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       restart|reload)
+               $0 stop
+               $0 start
+               ;;
+       *)
+               echo "Usage: $0 {start|stop|restart}"
+               exit 1
+esac
+
+exit 0